<?php

$carpenter_workshop_tp_theme_css = '';

$carpenter_workshop_tp_color_option = get_theme_mod('carpenter_workshop_tp_color_option');

// 1st color
$carpenter_workshop_tp_color_option = get_theme_mod('carpenter_workshop_tp_color_option', '#F5167E');
if ($carpenter_workshop_tp_color_option) {
	$carpenter_workshop_tp_theme_css .= ':root {';
	$carpenter_workshop_tp_theme_css .= '--color-primary1: ' . esc_attr($carpenter_workshop_tp_color_option) . ';';
	$carpenter_workshop_tp_theme_css .= '}';
}
// second color
$carpenter_workshop_tp_color_second = get_theme_mod('carpenter_workshop_tp_color_second', '#6315C9');
if ($carpenter_workshop_tp_color_second) {
	$carpenter_workshop_tp_theme_css .= ':root {';
	$carpenter_workshop_tp_theme_css .= '--color-primary2: ' . esc_attr($carpenter_workshop_tp_color_second) . ';';
	$carpenter_workshop_tp_theme_css .= '}';
}
// third color
$carpenter_workshop_tp_color_third = get_theme_mod('carpenter_workshop_tp_color_third', '#7d34d9');
if ($carpenter_workshop_tp_color_third) {
	$carpenter_workshop_tp_theme_css .= ':root {';
	$carpenter_workshop_tp_theme_css .= '--color-primary3: ' . esc_attr($carpenter_workshop_tp_color_third) . ';';
	$carpenter_workshop_tp_theme_css .= '}';
}

//preloader//

$carpenter_workshop_tp_preloader_color1_option = get_theme_mod('carpenter_workshop_tp_preloader_color1_option');
$carpenter_workshop_tp_preloader_color2_option = get_theme_mod('carpenter_workshop_tp_preloader_color2_option');
$carpenter_workshop_tp_preloader_bg_option = get_theme_mod('carpenter_workshop_tp_preloader_bg_option');


if($carpenter_workshop_tp_preloader_color1_option != false){
$carpenter_workshop_tp_theme_css .='.center1{';
	$carpenter_workshop_tp_theme_css .='border-color: '.esc_attr($carpenter_workshop_tp_preloader_color1_option).' !important;';
$carpenter_workshop_tp_theme_css .='}';
}
if($carpenter_workshop_tp_preloader_color1_option != false){
$carpenter_workshop_tp_theme_css .='.center1 .ring::before{';
	$carpenter_workshop_tp_theme_css .='background: '.esc_attr($carpenter_workshop_tp_preloader_color1_option).' !important;';
$carpenter_workshop_tp_theme_css .='}';
}
if($carpenter_workshop_tp_preloader_color2_option != false){
$carpenter_workshop_tp_theme_css .='.center2{';
	$carpenter_workshop_tp_theme_css .='border-color: '.esc_attr($carpenter_workshop_tp_preloader_color2_option).' !important;';
$carpenter_workshop_tp_theme_css .='}';
}
if($carpenter_workshop_tp_preloader_color2_option != false){
$carpenter_workshop_tp_theme_css .='.center2 .ring::before{';
	$carpenter_workshop_tp_theme_css .='background: '.esc_attr($carpenter_workshop_tp_preloader_color2_option).' !important;';
$carpenter_workshop_tp_theme_css .='}';
}
if($carpenter_workshop_tp_preloader_bg_option != false){
$carpenter_workshop_tp_theme_css .='.loader{';
	$carpenter_workshop_tp_theme_css .='background: '.esc_attr($carpenter_workshop_tp_preloader_bg_option).';';
$carpenter_workshop_tp_theme_css .='}';
}

// footer-bg-color
$carpenter_workshop_tp_footer_bg_color_option = get_theme_mod('carpenter_workshop_tp_footer_bg_color_option');

if($carpenter_workshop_tp_footer_bg_color_option != false){
$carpenter_workshop_tp_theme_css .='#footer{';
	$carpenter_workshop_tp_theme_css .='background: '.esc_attr($carpenter_workshop_tp_footer_bg_color_option).' !important;';
$carpenter_workshop_tp_theme_css .='}';
}

// logo tagline color
$carpenter_workshop_site_tagline_color = get_theme_mod('carpenter_workshop_site_tagline_color');

if($carpenter_workshop_site_tagline_color != false){
$carpenter_workshop_tp_theme_css .='.logo h1 a, .logo p a{';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_site_tagline_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

$carpenter_workshop_logo_tagline_color = get_theme_mod('carpenter_workshop_logo_tagline_color');
if($carpenter_workshop_logo_tagline_color != false){
$carpenter_workshop_tp_theme_css .='p.site-description{';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_logo_tagline_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

// footer widget title color
$carpenter_workshop_footer_widget_title_color = get_theme_mod('carpenter_workshop_footer_widget_title_color');
if($carpenter_workshop_footer_widget_title_color != false){
$carpenter_workshop_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_footer_widget_title_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

// copyright text color
$carpenter_workshop_footer_copyright_text_color = get_theme_mod('carpenter_workshop_footer_copyright_text_color');
if($carpenter_workshop_footer_copyright_text_color != false){
$carpenter_workshop_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_footer_copyright_text_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

// header image title color
$carpenter_workshop_header_image_title_text_color = get_theme_mod('carpenter_workshop_header_image_title_text_color');
if($carpenter_workshop_header_image_title_text_color != false){
$carpenter_workshop_tp_theme_css .='.box-text h2{';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_header_image_title_text_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

// menu color
$carpenter_workshop_menu_color = get_theme_mod('carpenter_workshop_menu_color');
if($carpenter_workshop_menu_color != false){
$carpenter_workshop_tp_theme_css .='.main-navigation a{';
$carpenter_workshop_tp_theme_css .='color: '.esc_attr($carpenter_workshop_menu_color).';';
$carpenter_workshop_tp_theme_css .='}';
}

//Footer Font Weight
$carpenter_workshop_footer_copyright_title_font_weight = get_theme_mod( 'carpenter_workshop_footer_copyright_title_font_weight','');
if($carpenter_workshop_footer_copyright_title_font_weight == '100'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 100;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '200'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 200;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '300'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 300;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '400'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 400;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '500'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 500;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '600'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 600;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '700'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 700;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '800'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 800;';
$carpenter_workshop_tp_theme_css .='}';
}else if($carpenter_workshop_footer_copyright_title_font_weight == '900'){
$carpenter_workshop_tp_theme_css .='#footer .site-info p {';
    $carpenter_workshop_tp_theme_css .='font-weight: 900;';
$carpenter_workshop_tp_theme_css .='}';
}